This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 432898 - missing cstring include in CharScanner.hpp
missing cstring include in CharScanner.hpp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: antlr (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 434077
  Show dependency treegraph
 
Reported: 2008-02-14 17:58 EST by Patrice Dumas
Modified: 2008-02-27 19:40 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 19:40:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-02-14 17:58:34 EST
Description of problem:

CharScanner.hpp uses strcasecmp so should 
#include <cstring>

In file included from ncoLexer.hpp:11,
                 from ncoLexer.cpp:3:
/usr/include/antlr/CharScanner.hpp: In member function 'bool
antlr::CharScannerLiteralsLess::operator()(const std::string&, const
std::string&) const':
/usr/include/antlr/CharScanner.hpp:565: error: 'strcasecmp' was not declared in
this scope

Maybe it is fixed in a newer version?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deepak Bhole 2008-02-27 19:40:22 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.